curl --request POST \
--url https://api.vollna.com/v1/auto-bidding/setups \
--header 'Content-Type: application/json' \
--header 'X-API-TOKEN: <api-key>' \
--data '
{
"name": "<string>",
"enableManualTrigger": true,
"filterId": 123,
"templateId": 123,
"biddingTemplates": [
{
"templateId": 123,
"weight": 123
}
],
"abAutoPromote": true,
"abWinnerMetric": "reply_rate",
"abStopCondition": "proposals",
"abStopProposals": 255,
"abStopDays": 31,
"customSchedule": [
{
"hour": 11
}
],
"timezone": "<string>",
"enableBiddingDelay": true,
"biddingDelay": 30,
"enableDailyLimit": true,
"dailyProposalsLimit": 25,
"enableBoosting": true,
"boostMaxBidAmount": 500,
"boostDailyConnectsLimit": 250,
"boostCases": [
{
"condition": "<string>",
"amount": 500
}
],
"enableAiJobQualifier": true,
"aiJobQualifierPrompt": "<string>",
"aiJobQualifierModel": "<string>",
"enableCatchUpBidding": true,
"maxJobAgeHours": 36,
"enableNotifications": true,
"preScreeningTelegramChatId": "<string>",
"enablePreScreening": true,
"preScreeningTimeoutMinutes": 247,
"applyIfAlreadyAppliedByAnotherBidder": true,
"notifyDisqualifiedJobs": true,
"roomInviteSettings": {
"members": [
{
"personUid": "<string>"
}
]
}
}
'import requests
url = "https://api.vollna.com/v1/auto-bidding/setups"
payload = {
"name": "<string>",
"enableManualTrigger": True,
"filterId": 123,
"templateId": 123,
"biddingTemplates": [
{
"templateId": 123,
"weight": 123
}
],
"abAutoPromote": True,
"abWinnerMetric": "reply_rate",
"abStopCondition": "proposals",
"abStopProposals": 255,
"abStopDays": 31,
"customSchedule": [{ "hour": 11 }],
"timezone": "<string>",
"enableBiddingDelay": True,
"biddingDelay": 30,
"enableDailyLimit": True,
"dailyProposalsLimit": 25,
"enableBoosting": True,
"boostMaxBidAmount": 500,
"boostDailyConnectsLimit": 250,
"boostCases": [
{
"condition": "<string>",
"amount": 500
}
],
"enableAiJobQualifier": True,
"aiJobQualifierPrompt": "<string>",
"aiJobQualifierModel": "<string>",
"enableCatchUpBidding": True,
"maxJobAgeHours": 36,
"enableNotifications": True,
"preScreeningTelegramChatId": "<string>",
"enablePreScreening": True,
"preScreeningTimeoutMinutes": 247,
"applyIfAlreadyAppliedByAnotherBidder": True,
"notifyDisqualifiedJobs": True,
"roomInviteSettings": { "members": [{ "personUid": "<string>" }] }
}
headers = {
"X-API-TOKEN": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-TOKEN': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
enableManualTrigger: true,
filterId: 123,
templateId: 123,
biddingTemplates: [{templateId: 123, weight: 123}],
abAutoPromote: true,
abWinnerMetric: 'reply_rate',
abStopCondition: 'proposals',
abStopProposals: 255,
abStopDays: 31,
customSchedule: [{hour: 11}],
timezone: '<string>',
enableBiddingDelay: true,
biddingDelay: 30,
enableDailyLimit: true,
dailyProposalsLimit: 25,
enableBoosting: true,
boostMaxBidAmount: 500,
boostDailyConnectsLimit: 250,
boostCases: [{condition: '<string>', amount: 500}],
enableAiJobQualifier: true,
aiJobQualifierPrompt: '<string>',
aiJobQualifierModel: '<string>',
enableCatchUpBidding: true,
maxJobAgeHours: 36,
enableNotifications: true,
preScreeningTelegramChatId: '<string>',
enablePreScreening: true,
preScreeningTimeoutMinutes: 247,
applyIfAlreadyAppliedByAnotherBidder: true,
notifyDisqualifiedJobs: true,
roomInviteSettings: {members: [{personUid: '<string>'}]}
})
};
fetch('https://api.vollna.com/v1/auto-bidding/setups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vollna.com/v1/auto-bidding/setups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'enableManualTrigger' => true,
'filterId' => 123,
'templateId' => 123,
'biddingTemplates' => [
[
'templateId' => 123,
'weight' => 123
]
],
'abAutoPromote' => true,
'abWinnerMetric' => 'reply_rate',
'abStopCondition' => 'proposals',
'abStopProposals' => 255,
'abStopDays' => 31,
'customSchedule' => [
[
'hour' => 11
]
],
'timezone' => '<string>',
'enableBiddingDelay' => true,
'biddingDelay' => 30,
'enableDailyLimit' => true,
'dailyProposalsLimit' => 25,
'enableBoosting' => true,
'boostMaxBidAmount' => 500,
'boostDailyConnectsLimit' => 250,
'boostCases' => [
[
'condition' => '<string>',
'amount' => 500
]
],
'enableAiJobQualifier' => true,
'aiJobQualifierPrompt' => '<string>',
'aiJobQualifierModel' => '<string>',
'enableCatchUpBidding' => true,
'maxJobAgeHours' => 36,
'enableNotifications' => true,
'preScreeningTelegramChatId' => '<string>',
'enablePreScreening' => true,
'preScreeningTimeoutMinutes' => 247,
'applyIfAlreadyAppliedByAnotherBidder' => true,
'notifyDisqualifiedJobs' => true,
'roomInviteSettings' => [
'members' => [
[
'personUid' => '<string>'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vollna.com/v1/auto-bidding/setups"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"enableManualTrigger\": true,\n \"filterId\": 123,\n \"templateId\": 123,\n \"biddingTemplates\": [\n {\n \"templateId\": 123,\n \"weight\": 123\n }\n ],\n \"abAutoPromote\": true,\n \"abWinnerMetric\": \"reply_rate\",\n \"abStopCondition\": \"proposals\",\n \"abStopProposals\": 255,\n \"abStopDays\": 31,\n \"customSchedule\": [\n {\n \"hour\": 11\n }\n ],\n \"timezone\": \"<string>\",\n \"enableBiddingDelay\": true,\n \"biddingDelay\": 30,\n \"enableDailyLimit\": true,\n \"dailyProposalsLimit\": 25,\n \"enableBoosting\": true,\n \"boostMaxBidAmount\": 500,\n \"boostDailyConnectsLimit\": 250,\n \"boostCases\": [\n {\n \"condition\": \"<string>\",\n \"amount\": 500\n }\n ],\n \"enableAiJobQualifier\": true,\n \"aiJobQualifierPrompt\": \"<string>\",\n \"aiJobQualifierModel\": \"<string>\",\n \"enableCatchUpBidding\": true,\n \"maxJobAgeHours\": 36,\n \"enableNotifications\": true,\n \"preScreeningTelegramChatId\": \"<string>\",\n \"enablePreScreening\": true,\n \"preScreeningTimeoutMinutes\": 247,\n \"applyIfAlreadyAppliedByAnotherBidder\": true,\n \"notifyDisqualifiedJobs\": true,\n \"roomInviteSettings\": {\n \"members\": [\n {\n \"personUid\": \"<string>\"\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-TOKEN", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vollna.com/v1/auto-bidding/setups")
.header("X-API-TOKEN", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"enableManualTrigger\": true,\n \"filterId\": 123,\n \"templateId\": 123,\n \"biddingTemplates\": [\n {\n \"templateId\": 123,\n \"weight\": 123\n }\n ],\n \"abAutoPromote\": true,\n \"abWinnerMetric\": \"reply_rate\",\n \"abStopCondition\": \"proposals\",\n \"abStopProposals\": 255,\n \"abStopDays\": 31,\n \"customSchedule\": [\n {\n \"hour\": 11\n }\n ],\n \"timezone\": \"<string>\",\n \"enableBiddingDelay\": true,\n \"biddingDelay\": 30,\n \"enableDailyLimit\": true,\n \"dailyProposalsLimit\": 25,\n \"enableBoosting\": true,\n \"boostMaxBidAmount\": 500,\n \"boostDailyConnectsLimit\": 250,\n \"boostCases\": [\n {\n \"condition\": \"<string>\",\n \"amount\": 500\n }\n ],\n \"enableAiJobQualifier\": true,\n \"aiJobQualifierPrompt\": \"<string>\",\n \"aiJobQualifierModel\": \"<string>\",\n \"enableCatchUpBidding\": true,\n \"maxJobAgeHours\": 36,\n \"enableNotifications\": true,\n \"preScreeningTelegramChatId\": \"<string>\",\n \"enablePreScreening\": true,\n \"preScreeningTimeoutMinutes\": 247,\n \"applyIfAlreadyAppliedByAnotherBidder\": true,\n \"notifyDisqualifiedJobs\": true,\n \"roomInviteSettings\": {\n \"members\": [\n {\n \"personUid\": \"<string>\"\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vollna.com/v1/auto-bidding/setups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-TOKEN"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"enableManualTrigger\": true,\n \"filterId\": 123,\n \"templateId\": 123,\n \"biddingTemplates\": [\n {\n \"templateId\": 123,\n \"weight\": 123\n }\n ],\n \"abAutoPromote\": true,\n \"abWinnerMetric\": \"reply_rate\",\n \"abStopCondition\": \"proposals\",\n \"abStopProposals\": 255,\n \"abStopDays\": 31,\n \"customSchedule\": [\n {\n \"hour\": 11\n }\n ],\n \"timezone\": \"<string>\",\n \"enableBiddingDelay\": true,\n \"biddingDelay\": 30,\n \"enableDailyLimit\": true,\n \"dailyProposalsLimit\": 25,\n \"enableBoosting\": true,\n \"boostMaxBidAmount\": 500,\n \"boostDailyConnectsLimit\": 250,\n \"boostCases\": [\n {\n \"condition\": \"<string>\",\n \"amount\": 500\n }\n ],\n \"enableAiJobQualifier\": true,\n \"aiJobQualifierPrompt\": \"<string>\",\n \"aiJobQualifierModel\": \"<string>\",\n \"enableCatchUpBidding\": true,\n \"maxJobAgeHours\": 36,\n \"enableNotifications\": true,\n \"preScreeningTelegramChatId\": \"<string>\",\n \"enablePreScreening\": true,\n \"preScreeningTimeoutMinutes\": 247,\n \"applyIfAlreadyAppliedByAnotherBidder\": true,\n \"notifyDisqualifiedJobs\": true,\n \"roomInviteSettings\": {\n \"members\": [\n {\n \"personUid\": \"<string>\"\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"status": "saved",
"setup": {
"id": 123,
"name": "<string>",
"status": "active",
"archived": true,
"priority": 123,
"manualTriggerOnly": true,
"filter": {
"id": 123,
"name": "<string>"
},
"templates": [
{
"id": 123,
"name": "<string>",
"weight": 123
}
],
"abTest": {
"status": "running",
"metric": "reply_rate",
"winnerTemplateId": 123,
"startedAt": "2023-11-07T05:31:56Z",
"stopAt": "2023-11-07T05:31:56Z"
},
"schedule": "24/7",
"timezone": "<string>",
"biddingDelayMinutes": 123,
"dailyProposalsLimit": 123,
"proposalsToday": 123,
"boosting": {
"enabled": true,
"mode": "fixed",
"cases": [
{
"condition": "<string>",
"amount": 123
}
],
"maxBid": 123,
"dailyConnectsLimit": 123
},
"qualifier": {
"enabled": true,
"source": "filter",
"id": 123,
"name": "<string>"
},
"preScreening": {
"enabled": true,
"timeoutMinutes": 123,
"timeoutAction": "approve"
},
"activationProblems": [
"<string>"
],
"customSchedule": [
{
"day": "<string>",
"hour": 123
}
],
"catchUpBidding": true,
"maxJobAgeHours": 123,
"qualifierPrompt": "<string>",
"qualifierModel": "<string>",
"notifications": {
"enabled": true,
"telegramConnected": true,
"slackChannel": "<string>",
"notifyDisqualifiedJobs": true
},
"applyIfAlreadyAppliedByAnotherBidder": true,
"roomInviteSettings": {},
"totalProposalsSent": 123,
"abHistory": [
{}
]
},
"abTestRestarted": true
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}Create auto-bidding setup
Creates a setup. It starts paused; switch it on with POST /auto-bidding/setups//activate. setup.activationProblems lists what still stops it from bidding
curl --request POST \
--url https://api.vollna.com/v1/auto-bidding/setups \
--header 'Content-Type: application/json' \
--header 'X-API-TOKEN: <api-key>' \
--data '
{
"name": "<string>",
"enableManualTrigger": true,
"filterId": 123,
"templateId": 123,
"biddingTemplates": [
{
"templateId": 123,
"weight": 123
}
],
"abAutoPromote": true,
"abWinnerMetric": "reply_rate",
"abStopCondition": "proposals",
"abStopProposals": 255,
"abStopDays": 31,
"customSchedule": [
{
"hour": 11
}
],
"timezone": "<string>",
"enableBiddingDelay": true,
"biddingDelay": 30,
"enableDailyLimit": true,
"dailyProposalsLimit": 25,
"enableBoosting": true,
"boostMaxBidAmount": 500,
"boostDailyConnectsLimit": 250,
"boostCases": [
{
"condition": "<string>",
"amount": 500
}
],
"enableAiJobQualifier": true,
"aiJobQualifierPrompt": "<string>",
"aiJobQualifierModel": "<string>",
"enableCatchUpBidding": true,
"maxJobAgeHours": 36,
"enableNotifications": true,
"preScreeningTelegramChatId": "<string>",
"enablePreScreening": true,
"preScreeningTimeoutMinutes": 247,
"applyIfAlreadyAppliedByAnotherBidder": true,
"notifyDisqualifiedJobs": true,
"roomInviteSettings": {
"members": [
{
"personUid": "<string>"
}
]
}
}
'import requests
url = "https://api.vollna.com/v1/auto-bidding/setups"
payload = {
"name": "<string>",
"enableManualTrigger": True,
"filterId": 123,
"templateId": 123,
"biddingTemplates": [
{
"templateId": 123,
"weight": 123
}
],
"abAutoPromote": True,
"abWinnerMetric": "reply_rate",
"abStopCondition": "proposals",
"abStopProposals": 255,
"abStopDays": 31,
"customSchedule": [{ "hour": 11 }],
"timezone": "<string>",
"enableBiddingDelay": True,
"biddingDelay": 30,
"enableDailyLimit": True,
"dailyProposalsLimit": 25,
"enableBoosting": True,
"boostMaxBidAmount": 500,
"boostDailyConnectsLimit": 250,
"boostCases": [
{
"condition": "<string>",
"amount": 500
}
],
"enableAiJobQualifier": True,
"aiJobQualifierPrompt": "<string>",
"aiJobQualifierModel": "<string>",
"enableCatchUpBidding": True,
"maxJobAgeHours": 36,
"enableNotifications": True,
"preScreeningTelegramChatId": "<string>",
"enablePreScreening": True,
"preScreeningTimeoutMinutes": 247,
"applyIfAlreadyAppliedByAnotherBidder": True,
"notifyDisqualifiedJobs": True,
"roomInviteSettings": { "members": [{ "personUid": "<string>" }] }
}
headers = {
"X-API-TOKEN": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-TOKEN': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
enableManualTrigger: true,
filterId: 123,
templateId: 123,
biddingTemplates: [{templateId: 123, weight: 123}],
abAutoPromote: true,
abWinnerMetric: 'reply_rate',
abStopCondition: 'proposals',
abStopProposals: 255,
abStopDays: 31,
customSchedule: [{hour: 11}],
timezone: '<string>',
enableBiddingDelay: true,
biddingDelay: 30,
enableDailyLimit: true,
dailyProposalsLimit: 25,
enableBoosting: true,
boostMaxBidAmount: 500,
boostDailyConnectsLimit: 250,
boostCases: [{condition: '<string>', amount: 500}],
enableAiJobQualifier: true,
aiJobQualifierPrompt: '<string>',
aiJobQualifierModel: '<string>',
enableCatchUpBidding: true,
maxJobAgeHours: 36,
enableNotifications: true,
preScreeningTelegramChatId: '<string>',
enablePreScreening: true,
preScreeningTimeoutMinutes: 247,
applyIfAlreadyAppliedByAnotherBidder: true,
notifyDisqualifiedJobs: true,
roomInviteSettings: {members: [{personUid: '<string>'}]}
})
};
fetch('https://api.vollna.com/v1/auto-bidding/setups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vollna.com/v1/auto-bidding/setups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'enableManualTrigger' => true,
'filterId' => 123,
'templateId' => 123,
'biddingTemplates' => [
[
'templateId' => 123,
'weight' => 123
]
],
'abAutoPromote' => true,
'abWinnerMetric' => 'reply_rate',
'abStopCondition' => 'proposals',
'abStopProposals' => 255,
'abStopDays' => 31,
'customSchedule' => [
[
'hour' => 11
]
],
'timezone' => '<string>',
'enableBiddingDelay' => true,
'biddingDelay' => 30,
'enableDailyLimit' => true,
'dailyProposalsLimit' => 25,
'enableBoosting' => true,
'boostMaxBidAmount' => 500,
'boostDailyConnectsLimit' => 250,
'boostCases' => [
[
'condition' => '<string>',
'amount' => 500
]
],
'enableAiJobQualifier' => true,
'aiJobQualifierPrompt' => '<string>',
'aiJobQualifierModel' => '<string>',
'enableCatchUpBidding' => true,
'maxJobAgeHours' => 36,
'enableNotifications' => true,
'preScreeningTelegramChatId' => '<string>',
'enablePreScreening' => true,
'preScreeningTimeoutMinutes' => 247,
'applyIfAlreadyAppliedByAnotherBidder' => true,
'notifyDisqualifiedJobs' => true,
'roomInviteSettings' => [
'members' => [
[
'personUid' => '<string>'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vollna.com/v1/auto-bidding/setups"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"enableManualTrigger\": true,\n \"filterId\": 123,\n \"templateId\": 123,\n \"biddingTemplates\": [\n {\n \"templateId\": 123,\n \"weight\": 123\n }\n ],\n \"abAutoPromote\": true,\n \"abWinnerMetric\": \"reply_rate\",\n \"abStopCondition\": \"proposals\",\n \"abStopProposals\": 255,\n \"abStopDays\": 31,\n \"customSchedule\": [\n {\n \"hour\": 11\n }\n ],\n \"timezone\": \"<string>\",\n \"enableBiddingDelay\": true,\n \"biddingDelay\": 30,\n \"enableDailyLimit\": true,\n \"dailyProposalsLimit\": 25,\n \"enableBoosting\": true,\n \"boostMaxBidAmount\": 500,\n \"boostDailyConnectsLimit\": 250,\n \"boostCases\": [\n {\n \"condition\": \"<string>\",\n \"amount\": 500\n }\n ],\n \"enableAiJobQualifier\": true,\n \"aiJobQualifierPrompt\": \"<string>\",\n \"aiJobQualifierModel\": \"<string>\",\n \"enableCatchUpBidding\": true,\n \"maxJobAgeHours\": 36,\n \"enableNotifications\": true,\n \"preScreeningTelegramChatId\": \"<string>\",\n \"enablePreScreening\": true,\n \"preScreeningTimeoutMinutes\": 247,\n \"applyIfAlreadyAppliedByAnotherBidder\": true,\n \"notifyDisqualifiedJobs\": true,\n \"roomInviteSettings\": {\n \"members\": [\n {\n \"personUid\": \"<string>\"\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-TOKEN", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vollna.com/v1/auto-bidding/setups")
.header("X-API-TOKEN", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"enableManualTrigger\": true,\n \"filterId\": 123,\n \"templateId\": 123,\n \"biddingTemplates\": [\n {\n \"templateId\": 123,\n \"weight\": 123\n }\n ],\n \"abAutoPromote\": true,\n \"abWinnerMetric\": \"reply_rate\",\n \"abStopCondition\": \"proposals\",\n \"abStopProposals\": 255,\n \"abStopDays\": 31,\n \"customSchedule\": [\n {\n \"hour\": 11\n }\n ],\n \"timezone\": \"<string>\",\n \"enableBiddingDelay\": true,\n \"biddingDelay\": 30,\n \"enableDailyLimit\": true,\n \"dailyProposalsLimit\": 25,\n \"enableBoosting\": true,\n \"boostMaxBidAmount\": 500,\n \"boostDailyConnectsLimit\": 250,\n \"boostCases\": [\n {\n \"condition\": \"<string>\",\n \"amount\": 500\n }\n ],\n \"enableAiJobQualifier\": true,\n \"aiJobQualifierPrompt\": \"<string>\",\n \"aiJobQualifierModel\": \"<string>\",\n \"enableCatchUpBidding\": true,\n \"maxJobAgeHours\": 36,\n \"enableNotifications\": true,\n \"preScreeningTelegramChatId\": \"<string>\",\n \"enablePreScreening\": true,\n \"preScreeningTimeoutMinutes\": 247,\n \"applyIfAlreadyAppliedByAnotherBidder\": true,\n \"notifyDisqualifiedJobs\": true,\n \"roomInviteSettings\": {\n \"members\": [\n {\n \"personUid\": \"<string>\"\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vollna.com/v1/auto-bidding/setups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-TOKEN"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"enableManualTrigger\": true,\n \"filterId\": 123,\n \"templateId\": 123,\n \"biddingTemplates\": [\n {\n \"templateId\": 123,\n \"weight\": 123\n }\n ],\n \"abAutoPromote\": true,\n \"abWinnerMetric\": \"reply_rate\",\n \"abStopCondition\": \"proposals\",\n \"abStopProposals\": 255,\n \"abStopDays\": 31,\n \"customSchedule\": [\n {\n \"hour\": 11\n }\n ],\n \"timezone\": \"<string>\",\n \"enableBiddingDelay\": true,\n \"biddingDelay\": 30,\n \"enableDailyLimit\": true,\n \"dailyProposalsLimit\": 25,\n \"enableBoosting\": true,\n \"boostMaxBidAmount\": 500,\n \"boostDailyConnectsLimit\": 250,\n \"boostCases\": [\n {\n \"condition\": \"<string>\",\n \"amount\": 500\n }\n ],\n \"enableAiJobQualifier\": true,\n \"aiJobQualifierPrompt\": \"<string>\",\n \"aiJobQualifierModel\": \"<string>\",\n \"enableCatchUpBidding\": true,\n \"maxJobAgeHours\": 36,\n \"enableNotifications\": true,\n \"preScreeningTelegramChatId\": \"<string>\",\n \"enablePreScreening\": true,\n \"preScreeningTimeoutMinutes\": 247,\n \"applyIfAlreadyAppliedByAnotherBidder\": true,\n \"notifyDisqualifiedJobs\": true,\n \"roomInviteSettings\": {\n \"members\": [\n {\n \"personUid\": \"<string>\"\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"status": "saved",
"setup": {
"id": 123,
"name": "<string>",
"status": "active",
"archived": true,
"priority": 123,
"manualTriggerOnly": true,
"filter": {
"id": 123,
"name": "<string>"
},
"templates": [
{
"id": 123,
"name": "<string>",
"weight": 123
}
],
"abTest": {
"status": "running",
"metric": "reply_rate",
"winnerTemplateId": 123,
"startedAt": "2023-11-07T05:31:56Z",
"stopAt": "2023-11-07T05:31:56Z"
},
"schedule": "24/7",
"timezone": "<string>",
"biddingDelayMinutes": 123,
"dailyProposalsLimit": 123,
"proposalsToday": 123,
"boosting": {
"enabled": true,
"mode": "fixed",
"cases": [
{
"condition": "<string>",
"amount": 123
}
],
"maxBid": 123,
"dailyConnectsLimit": 123
},
"qualifier": {
"enabled": true,
"source": "filter",
"id": 123,
"name": "<string>"
},
"preScreening": {
"enabled": true,
"timeoutMinutes": 123,
"timeoutAction": "approve"
},
"activationProblems": [
"<string>"
],
"customSchedule": [
{
"day": "<string>",
"hour": 123
}
],
"catchUpBidding": true,
"maxJobAgeHours": 123,
"qualifierPrompt": "<string>",
"qualifierModel": "<string>",
"notifications": {
"enabled": true,
"telegramConnected": true,
"slackChannel": "<string>",
"notifyDisqualifiedJobs": true
},
"applyIfAlreadyAppliedByAnotherBidder": true,
"roomInviteSettings": {},
"totalProposalsSent": 123,
"abHistory": [
{}
]
},
"abTestRestarted": true
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "Validation failed",
"message": "<string>",
"fields": {}
}{
"error": "<string>"
}Authorizations
API token for authentication
Body
Setup fields in camelCase. A field left out keeps its value; on a new setup it takes the default. Unknown fields, id and status are ignored
Bid only on jobs sent by hand; then filterId is optional
An active filter, from GET /auto-bidding/options
One proposal template. Use biddingTemplates for an A/B test
Up to 5 templates. Two or more start an A/B test
5Show child attributes
Show child attributes
reply_rate, view_rate proposals, time 10 <= x <= 5003 <= x <= 6024/7, custom_schedule At least one slot on a custom schedule
Show child attributes
Show child attributes
IANA name, for example Europe/Kyiv
Minutes
1 <= x <= 601 <= x <= 50fixed, smart Fixed mode, connects
1 <= x <= 9991 <= x <= 500Smart mode: 1 to 5 cases
5Show child attributes
Show child attributes
filter, custom With source custom. Source filter runs on the filter's prompt, which changes only on the filter
null is no limit
1 <= x <= 72Jobs wait for review before they are sent
15 <= x <= 480approve, skip null uses the team-wide settings
Show child attributes
Show child attributes
Was this page helpful?